struct mem_ak_alloc {
	int nsegments;
	struct akmem_segment {
		vaddr_t start, end;
	} *segments;
};
#define MEMIOCTL_AKALLOC _IOW('W', 0, struct mem_ak_alloc)

struct mem_ak_exec {
	void *entry;
	int argc;
	char **argv;
	void *env;
};
#define MEMIOCTL_AKCOMMIT _IOW('W', 1, struct mem_ak_exec)

struct map_s {
	caddr_t entry;
	caddr_t base;
	int pagesize;
	int leafsize;
	int nleaves;
	caddr_t arg0;
	caddr_t arg1;
	caddr_t arg2;
	caddr_t arg3;
	caddr_t *leaf[32];
};
